Subject: Re: [bug#67921] [PATCH v3 01/24] gnu: ghc: More robust build with binutils ≥ 2.39.

From: Saku Laesvuori <[email-masked]>
Date: Sat, 16 Nov 2024 10:26:34 +0200

On Fri, Nov 15, 2024 at 07:52:15PM +0000, Divya Ranjan wrote:
> Also, one of the reasons why we haven't yet packaged
> haskell-language-server is because of these ghc build issues, right?

I think it is mostly because haskell-language-server is not on stackage
and the hackage importer is[1] not able to recursively import working
versions of the dependencies. Thus packaging HLS is quite tidious as one
has to manually go through all the tens of invalid dependency versions.
Updating ghc would probably help a bit, but I don't think it is the main
issue.

[1]: There was recently some work related to importing hackage packages
by version so maybe this has changed

- Saku